Create prediction
curl --request POST \
--url https://api.mathfi.ai/api/v1/predictions/models/{modelKey} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'import requests
url = "https://api.mathfi.ai/api/v1/predictions/models/{modelKey}"
files = { "file": ("example-file", open("example-file", "rb")) }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, files=files, headers=headers)
print(response.text)const form = new FormData();
form.append('file', '<string>');
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
options.body = form;
fetch('https://api.mathfi.ai/api/v1/predictions/models/{modelKey}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"predictionKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"predictionCreationProgressUrl": "<string>"
}Predictions
Create prediction
Submits an unseen (unlabelled) CSV file for inference using the specified model.
The CSV must have the same feature columns as the training data, without the label column(s).
Returns a predictionKey — poll GET /api/v1/predictions/{predictionKey}/progress until
status is COMPLETED, then retrieve the result CSV.
POST
/
api
/
v1
/
predictions
/
models
/
{modelKey}
Create prediction
Authorizations
Obtain a token from POST /api/login. Valid for 1 hour.
Path Parameters
Body
multipart/form-data
Response
Prediction created successfully
Status of a prediction job:
| Status | Description |
|---|---|
PENDING | Created, queued for processing |
RUNNING | Inference in progress |
COMPLETED | Finished. Result CSV available for download. |
FAILED | Failed due to an error |
TIMEOUT | Exceeded the processing time limit |
Available options:
PENDING, RUNNING, COMPLETED, FAILED, TIMEOUT URL to poll for prediction progress
⌘I